@import "fonts/candara/candara-all.css";
@import "fonts/calibri/calibri-all.css";
@import "reset.css";

:root {
    --white: hsl(0, 0%, 90%);
    --green: hsl(120, 100%, 20%);
    --grey: hsl(220, 0%, 75%);
}

* {
    font-family: Calibri;
}

html, body {
    height: 100vh;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    overflow: auto;
}

header {
    display: flex;
    background-color: var(--green);
    padding: 1rem;
    gap: 1rem;
    flex-wrap: wrap;

    h1 {
        flex: 1;
        font-family: Candara;
        font-size: 2rem;
        font-weight: bold;
        color: var(--white);
        text-align: center;
        white-space: nowrap;
    }

    a img {
        height:50px;
        width:50px;
    }
}

footer {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: var(--green);
    color: var(--white);
    padding: 1rem;
    gap: 1rem;
    height: 3rem;
}

a {
    text-decoration: none;
    color: var(--white);
    font-weight: bold;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 0.5rem;
    gap:0.5rem;
    background-color: var(--white);
}

section {
    padding: 0.5rem;
}

button, .button {
    font-size: 1.2rem;
    background-color: var(--white);
    border: 1px solid var(--grey);
    border-radius: .5rem;
    box-sizing: border-box;
    color: #111827;
    line-height: 1.25rem;
    padding: .75rem 1rem;
    text-align: center;
    text-decoration: none var(--grey) solid;
    text-decoration-thickness: auto;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    &:enabled:hover {
        background-color: var(--white);
        scale: 1.05;
    }

    &:enabled:focus {
        outline: 2px solid transparent;
        outline-offset: 2px;
    }

    &:enabled:focus-visible {
        box-shadow: none;
    }

    &:enabled:active {
        scale: 1;
    }

    &:disabled {
        color: var(--grey);
        cursor: unset;
    }
}
